Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl
Class KnowledgeDomainServiceImpl

    java.lang.Object
      org.droolsjbpm.services.impl.KnowledgeDomainServiceImpl

All Implemented Interfaces:
  KnowledgeDomainService

    @ApplicationScoped
    public class KnowledgeDomainServiceImpl

extends Object
implements KnowledgeDomainService

Constructor Summary
`KnowledgeDomainServiceImpl()`

Method Summary
`void` | `createDomain()`
`int` | `getAmountOfSessions()`
`Map<String,String>` | `getAvailableProcesses()`
`Map<String,String>` | `getAvailableProcessesPaths()`
`String` | `getProcessAssetPath(String processId)`
`String` | `getProcessInSessionByName(String processDefId)`
`KieSession` | `getSessionById(int sessionId)`
`int` | `getSessionForProcessInstanceId(long processInstanceId)`
`Map<Integer,KieSession>` | `getSessionsByName(String ksessionName)`
`Collection<String>` | `getSessionsNames()`
`int` | `newKieSession(String groupId, String artifactId, String version, String kbaseName, String sessionName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KnowledgeDomainServiceImpl

    public KnowledgeDomainServiceImpl()

Method Detail

### createDomain

    @PostConstruct
    public void createDomain()

  Specified by:
    `createDomain` in interface `KnowledgeDomainService`

### getSessionsNames

    public Collection<String> getSessionsNames()

  Specified by:
    `getSessionsNames` in interface `KnowledgeDomainService`

### getAmountOfSessions

    public int getAmountOfSessions()

  Specified by:
    `getAmountOfSessions` in interface `KnowledgeDomainService`

### getAvailableProcesses

    public Map<String,String> getAvailableProcesses()

  Specified by:
    `getAvailableProcesses` in interface `KnowledgeDomainService`

### getAvailableProcessesPaths

    public Map<String,String> getAvailableProcessesPaths()

  Specified by:
    `getAvailableProcessesPaths` in interface `KnowledgeDomainService`

### getSessionsByName

    public Map<Integer,KieSession> getSessionsByName(String ksessionName)

  Specified by:
    `getSessionsByName` in interface `KnowledgeDomainService`

### getProcessInSessionByName

    public String getProcessInSessionByName(String processDefId)

  Specified by:
    `getProcessInSessionByName` in interface `KnowledgeDomainService`

### getSessionForProcessInstanceId

    public int getSessionForProcessInstanceId(long processInstanceId)

  Specified by:
    `getSessionForProcessInstanceId` in interface `KnowledgeDomainService`

### getSessionById

    public KieSession getSessionById(int sessionId)

  Specified by:
    `getSessionById` in interface `KnowledgeDomainService`

### newKieSession

    public int newKieSession(String groupId,
                             String artifactId,
                             String version,
                             String kbaseName,
                             String sessionName)

  Specified by:
    `newKieSession` in interface `KnowledgeDomainService`

### getProcessAssetPath

    public String getProcessAssetPath(String processId)

  Specified by:
    `getProcessAssetPath` in interface `KnowledgeDomainService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.